com.impinj.stp

## Class StpApi.Command

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - com.impinj.stp.StpApi.Command

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.CommandOrBuilder, java.io.Serializable
  Enclosing class:
    StpApi

      public static final class StpApi.Command
      extends com.google.protobuf.GeneratedMessage
      implements StpApi.CommandOrBuilder

  Protobuf type `Impinj.STP.Command` From Host to Impinj Device
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StpApi.Command.Builder` Protobuf type `Impinj.STP.Command` From Host to Impinj Device

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADD_LICENSE_KEY_FIELD_NUMBER`
    `static int` | `ADD_ORDERED_LIST_ENTRIES_FIELD_NUMBER`
    `static int` | `ADD_SERIALIZATION_JOB_FIELD_NUMBER`
    `static int` | `ADD_TID_TABLE_ENTRIES_FIELD_NUMBER`
    `static int` | `CONNECT_FIELD_NUMBER`
    `static int` | `DISENGAGE_FIELD_NUMBER`
    `static int` | `ENGAGE_FIELD_NUMBER`
    `static int` | `GET_ANTENNA_CONFIG_FIELD_NUMBER`
    `static int` | `GET_DEVICE_CONFIG_FIELD_NUMBER`
    `static int` | `GET_DEVICE_STATE_FIELD_NUMBER`
    `static int` | `GET_OPERATION_DATA_FIELD_NUMBER`
    `static int` | `GET_VERSIONS_READER_FIELD_NUMBER`
    `static com.google.protobuf.Parser<StpApi.Command>` | `PARSER`
    `static int` | `REMOVE_SERIALIZATION_JOB_FIELD_NUMBER`
    `static int` | `SET_ANTENNA_CONFIG_FIELD_NUMBER`
    `static int` | `SET_CARTON_CONTENTS_JOB_FIELD_NUMBER`
    `static int` | `SET_DEVICE_CONFIG_FIELD_NUMBER`
    `static int` | `SET_INVENTORY_JOB_FIELD_NUMBER`
    `static int` | `SET_OPERATION_RESULT_GPO_FIELD_NUMBER`
    `static int` | `START_FIELD_NUMBER`
    `static int` | `STOP_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.AddLicenseKeyCommand` | `getAddLicenseKey()`
    `StpApi.AddLicenseKeyCommandOrBuilder` | `getAddLicenseKeyOrBuilder()`
    `StpApi.AddOrderedListEntriesCommand` | `getAddOrderedListEntries()`
    `StpApi.AddOrderedListEntriesCommandOrBuilder` | `getAddOrderedListEntriesOrBuilder()`
    `StpApi.AddSerializationJobCommand` | `getAddSerializationJob()`
    `StpApi.AddSerializationJobCommandOrBuilder` | `getAddSerializationJobOrBuilder()`
    `StpApi.AddTIDTableEntriesCommand` | `getAddTidTableEntries()`
    `StpApi.AddTIDTableEntriesCommandOrBuilder` | `getAddTidTableEntriesOrBuilder()`
    `StpApi.ConnectCommand` | `getConnect()` Connect to device.
    `StpApi.ConnectCommandOrBuilder` | `getConnectOrBuilder()` Connect to device.
    `static StpApi.Command` | `getDefaultInstance()`
    `StpApi.Command` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `StpApi.DisengageCommand` | `getDisengage()`
    `StpApi.DisengageCommandOrBuilder` | `getDisengageOrBuilder()`
    `StpApi.EngageCommand` | `getEngage()`
    `StpApi.EngageCommandOrBuilder` | `getEngageOrBuilder()`
    `StpApi.GetAntennaConfigCommand` | `getGetAntennaConfig()`
    `StpApi.GetAntennaConfigCommandOrBuilder` | `getGetAntennaConfigOrBuilder()`
    `StpApi.GetDeviceConfigCommand` | `getGetDeviceConfig()`
    `StpApi.GetDeviceConfigCommandOrBuilder` | `getGetDeviceConfigOrBuilder()`
    `StpApi.GetDeviceStateCommand` | `getGetDeviceState()` Get the state (operating, fault, etc.) of the device.
    `StpApi.GetDeviceStateCommandOrBuilder` | `getGetDeviceStateOrBuilder()` Get the state (operating, fault, etc.) of the device.
    `StpApi.GetOperationDataCommand` | `getGetOperationData()`
    `StpApi.GetOperationDataCommandOrBuilder` | `getGetOperationDataOrBuilder()`
    `StpApi.GetVersionsReaderCommand` | `getGetVersionsReader()` Return all version information reported by the device and by the host-side library.
    `StpApi.GetVersionsReaderCommandOrBuilder` | `getGetVersionsReaderOrBuilder()` Return all version information reported by the device and by the host-side library.
    `com.google.protobuf.Parser<StpApi.Command>` | `getParserForType()`
    `StpApi.RemoveSerializationJobCommand` | `getRemoveSerializationJob()`
    `StpApi.RemoveSerializationJobCommandOrBuilder` | `getRemoveSerializationJobOrBuilder()`
    `int` | `getSerializedSize()`
    `StpApi.SetAntennaConfigCommand` | `getSetAntennaConfig()`
    `StpApi.SetAntennaConfigCommandOrBuilder` | `getSetAntennaConfigOrBuilder()`
    `StpApi.SetCartonContentsJobCommand` | `getSetCartonContentsJob()`
    `StpApi.SetCartonContentsJobCommandOrBuilder` | `getSetCartonContentsJobOrBuilder()`
    `StpApi.SetDeviceConfigCommand` | `getSetDeviceConfig()`
    `StpApi.SetDeviceConfigCommandOrBuilder` | `getSetDeviceConfigOrBuilder()`
    `StpApi.SetInventoryJobCommand` | `getSetInventoryJob()`
    `StpApi.SetInventoryJobCommandOrBuilder` | `getSetInventoryJobOrBuilder()`
    `StpApi.SetOperationResultGPOCommand` | `getSetOperationResultGpo()` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `StpApi.SetOperationResultGPOCommandOrBuilder` | `getSetOperationResultGpoOrBuilder()` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `StpApi.StartCommand` | `getStart()` Start the encode or inventory run.
    `StpApi.StartCommandOrBuilder` | `getStartOrBuilder()` Start the encode or inventory run.
    `StpApi.StopCommand` | `getStop()` Stop the encode or inventory run.
    `StpApi.StopCommandOrBuilder` | `getStopOrBuilder()` Stop the encode or inventory run.
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasAddLicenseKey()`
    `boolean` | `hasAddOrderedListEntries()`
    `boolean` | `hasAddSerializationJob()`
    `boolean` | `hasAddTidTableEntries()`
    `boolean` | `hasConnect()` Connect to device.
    `boolean` | `hasDisengage()`
    `boolean` | `hasEngage()`
    `boolean` | `hasGetAntennaConfig()`
    `boolean` | `hasGetDeviceConfig()`
    `boolean` | `hasGetDeviceState()` Get the state (operating, fault, etc.) of the device.
    `boolean` | `hasGetOperationData()`
    `boolean` | `hasGetVersionsReader()` Return all version information reported by the device and by the host-side library.
    `boolean` | `hasRemoveSerializationJob()`
    `boolean` | `hasSetAntennaConfig()`
    `boolean` | `hasSetCartonContentsJob()`
    `boolean` | `hasSetDeviceConfig()`
    `boolean` | `hasSetInventoryJob()`
    `boolean` | `hasSetOperationResultGpo()` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `boolean` | `hasStart()` Start the encode or inventory run.
    `boolean` | `hasStop()` Stop the encode or inventory run.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static StpApi.Command.Builder` | `newBuilder()`
    `static StpApi.Command.Builder` | `newBuilder(StpApi.Command prototype)`
    `StpApi.Command.Builder` | `newBuilderForType()`
    `protected StpApi.Command.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static StpApi.Command` | `parseDelimitedFrom(java.io.InputStream input)`
    `static StpApi.Command` | `parseDelimitedFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.Command` | `parseFrom(byte[] data)`
    `static StpApi.Command` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.Command` | `parseFrom(com.google.protobuf.ByteString data)`
    `static StpApi.Command` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.Command` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static StpApi.Command` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.Command` | `parseFrom(java.io.InputStream input)`
    `static StpApi.Command` | `parseFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.Command.Builder` | `toBuilder()`
    `protected java.lang.Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<StpApi.Command> PARSER

    - #### CONNECT_FIELD_NUMBER

          public static final int CONNECT_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GET_VERSIONS_READER_FIELD_NUMBER

          public static final int GET_VERSIONS_READER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### START_FIELD_NUMBER

          public static final int START_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### STOP_FIELD_NUMBER

          public static final int STOP_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GET_DEVICE_STATE_FIELD_NUMBER

          public static final int GET_DEVICE_STATE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SET_DEVICE_CONFIG_FIELD_NUMBER

          public static final int SET_DEVICE_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GET_DEVICE_CONFIG_FIELD_NUMBER

          public static final int GET_DEVICE_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SET_ANTENNA_CONFIG_FIELD_NUMBER

          public static final int SET_ANTENNA_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GET_ANTENNA_CONFIG_FIELD_NUMBER

          public static final int GET_ANTENNA_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ENGAGE_FIELD_NUMBER

          public static final int ENGAGE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DISENGAGE_FIELD_NUMBER

          public static final int DISENGAGE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SET_OPERATION_RESULT_GPO_FIELD_NUMBER

          public static final int SET_OPERATION_RESULT_GPO_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ADD_SERIALIZATION_JOB_FIELD_NUMBER

          public static final int ADD_SERIALIZATION_JOB_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### REMOVE_SERIALIZATION_JOB_FIELD_NUMBER

          public static final int REMOVE_SERIALIZATION_JOB_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ADD_TID_TABLE_ENTRIES_FIELD_NUMBER

          public static final int ADD_TID_TABLE_ENTRIES_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ADD_ORDERED_LIST_ENTRIES_FIELD_NUMBER

          public static final int ADD_ORDERED_LIST_ENTRIES_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SET_INVENTORY_JOB_FIELD_NUMBER

          public static final int SET_INVENTORY_JOB_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SET_CARTON_CONTENTS_JOB_FIELD_NUMBER

          public static final int SET_CARTON_CONTENTS_JOB_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GET_OPERATION_DATA_FIELD_NUMBER

          public static final int GET_OPERATION_DATA_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ADD_LICENSE_KEY_FIELD_NUMBER

          public static final int ADD_LICENSE_KEY_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static StpApi.Command getDefaultInstance()

    - #### getDefaultInstanceForType

          public StpApi.Command getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<StpApi.Command> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasConnect

          public boolean hasConnect()

      Connect to device.
      Specified by:
        `hasConnect` in interface `StpApi.CommandOrBuilder`

    - #### getConnect

          public StpApi.ConnectCommand getConnect()

      Connect to device.
      Specified by:
        `getConnect` in interface `StpApi.CommandOrBuilder`

    - #### getConnectOrBuilder

          public StpApi.ConnectCommandOrBuilder getConnectOrBuilder()

      Connect to device.
      Specified by:
        `getConnectOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasGetVersionsReader

          public boolean hasGetVersionsReader()

      Return all version information reported by the device and by the host-side library.
      Specified by:
        `hasGetVersionsReader` in interface `StpApi.CommandOrBuilder`

    - #### getGetVersionsReader

          public StpApi.GetVersionsReaderCommand getGetVersionsReader()

      Return all version information reported by the device and by the host-side library.
      Specified by:
        `getGetVersionsReader` in interface `StpApi.CommandOrBuilder`

    - #### getGetVersionsReaderOrBuilder

          public StpApi.GetVersionsReaderCommandOrBuilder getGetVersionsReaderOrBuilder()

      Return all version information reported by the device and by the host-side library.
      Specified by:
        `getGetVersionsReaderOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasStart

          public boolean hasStart()

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.
      Specified by:
        `hasStart` in interface `StpApi.CommandOrBuilder`

    - #### getStart

          public StpApi.StartCommand getStart()

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.
      Specified by:
        `getStart` in interface `StpApi.CommandOrBuilder`

    - #### getStartOrBuilder

          public StpApi.StartCommandOrBuilder getStartOrBuilder()

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.
      Specified by:
        `getStartOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasStop

          public boolean hasStop()

      Stop the encode or inventory run. The device must be operating.
      Specified by:
        `hasStop` in interface `StpApi.CommandOrBuilder`

    - #### getStop

          public StpApi.StopCommand getStop()

      Stop the encode or inventory run. The device must be operating.
      Specified by:
        `getStop` in interface `StpApi.CommandOrBuilder`

    - #### getStopOrBuilder

          public StpApi.StopCommandOrBuilder getStopOrBuilder()

      Stop the encode or inventory run. The device must be operating.
      Specified by:
        `getStopOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasGetDeviceState

          public boolean hasGetDeviceState()

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.
      Specified by:
        `hasGetDeviceState` in interface `StpApi.CommandOrBuilder`

    - #### getGetDeviceState

          public StpApi.GetDeviceStateCommand getGetDeviceState()

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.
      Specified by:
        `getGetDeviceState` in interface `StpApi.CommandOrBuilder`

    - #### getGetDeviceStateOrBuilder

          public StpApi.GetDeviceStateCommandOrBuilder getGetDeviceStateOrBuilder()

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.
      Specified by:
        `getGetDeviceStateOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasSetDeviceConfig

          public boolean hasSetDeviceConfig()

      Specified by:
        `hasSetDeviceConfig` in interface `StpApi.CommandOrBuilder`

    - #### getSetDeviceConfig

          public StpApi.SetDeviceConfigCommand getSetDeviceConfig()

      Specified by:
        `getSetDeviceConfig` in interface `StpApi.CommandOrBuilder`

    - #### getSetDeviceConfigOrBuilder

          public StpApi.SetDeviceConfigCommandOrBuilder getSetDeviceConfigOrBuilder()

      Specified by:
        `getSetDeviceConfigOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasGetDeviceConfig

          public boolean hasGetDeviceConfig()

      Specified by:
        `hasGetDeviceConfig` in interface `StpApi.CommandOrBuilder`

    - #### getGetDeviceConfig

          public StpApi.GetDeviceConfigCommand getGetDeviceConfig()

      Specified by:
        `getGetDeviceConfig` in interface `StpApi.CommandOrBuilder`

    - #### getGetDeviceConfigOrBuilder

          public StpApi.GetDeviceConfigCommandOrBuilder getGetDeviceConfigOrBuilder()

      Specified by:
        `getGetDeviceConfigOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasSetAntennaConfig

          public boolean hasSetAntennaConfig()

      Specified by:
        `hasSetAntennaConfig` in interface `StpApi.CommandOrBuilder`

    - #### getSetAntennaConfig

          public StpApi.SetAntennaConfigCommand getSetAntennaConfig()

      Specified by:
        `getSetAntennaConfig` in interface `StpApi.CommandOrBuilder`

    - #### getSetAntennaConfigOrBuilder

          public StpApi.SetAntennaConfigCommandOrBuilder getSetAntennaConfigOrBuilder()

      Specified by:
        `getSetAntennaConfigOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasGetAntennaConfig

          public boolean hasGetAntennaConfig()

      Specified by:
        `hasGetAntennaConfig` in interface `StpApi.CommandOrBuilder`

    - #### getGetAntennaConfig

          public StpApi.GetAntennaConfigCommand getGetAntennaConfig()

      Specified by:
        `getGetAntennaConfig` in interface `StpApi.CommandOrBuilder`

    - #### getGetAntennaConfigOrBuilder

          public StpApi.GetAntennaConfigCommandOrBuilder getGetAntennaConfigOrBuilder()

      Specified by:
        `getGetAntennaConfigOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasEngage

          public boolean hasEngage()

      Specified by:
        `hasEngage` in interface `StpApi.CommandOrBuilder`

    - #### getEngage

          public StpApi.EngageCommand getEngage()

      Specified by:
        `getEngage` in interface `StpApi.CommandOrBuilder`

    - #### getEngageOrBuilder

          public StpApi.EngageCommandOrBuilder getEngageOrBuilder()

      Specified by:
        `getEngageOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasDisengage

          public boolean hasDisengage()

      Specified by:
        `hasDisengage` in interface `StpApi.CommandOrBuilder`

    - #### getDisengage

          public StpApi.DisengageCommand getDisengage()

      Specified by:
        `getDisengage` in interface `StpApi.CommandOrBuilder`

    - #### getDisengageOrBuilder

          public StpApi.DisengageCommandOrBuilder getDisengageOrBuilder()

      Specified by:
        `getDisengageOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasSetOperationResultGpo

          public boolean hasSetOperationResultGpo()

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
      Specified by:
        `hasSetOperationResultGpo` in interface `StpApi.CommandOrBuilder`

    - #### getSetOperationResultGpo

          public StpApi.SetOperationResultGPOCommand getSetOperationResultGpo()

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
      Specified by:
        `getSetOperationResultGpo` in interface `StpApi.CommandOrBuilder`

    - #### getSetOperationResultGpoOrBuilder

          public StpApi.SetOperationResultGPOCommandOrBuilder getSetOperationResultGpoOrBuilder()

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
      Specified by:
        `getSetOperationResultGpoOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasAddSerializationJob

          public boolean hasAddSerializationJob()

      Specified by:
        `hasAddSerializationJob` in interface `StpApi.CommandOrBuilder`

    - #### getAddSerializationJob

          public StpApi.AddSerializationJobCommand getAddSerializationJob()

      Specified by:
        `getAddSerializationJob` in interface `StpApi.CommandOrBuilder`

    - #### getAddSerializationJobOrBuilder

          public StpApi.AddSerializationJobCommandOrBuilder getAddSerializationJobOrBuilder()

      Specified by:
        `getAddSerializationJobOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasRemoveSerializationJob

          public boolean hasRemoveSerializationJob()

      Specified by:
        `hasRemoveSerializationJob` in interface `StpApi.CommandOrBuilder`

    - #### getRemoveSerializationJob

          public StpApi.RemoveSerializationJobCommand getRemoveSerializationJob()

      Specified by:
        `getRemoveSerializationJob` in interface `StpApi.CommandOrBuilder`

    - #### getRemoveSerializationJobOrBuilder

          public StpApi.RemoveSerializationJobCommandOrBuilder getRemoveSerializationJobOrBuilder()

      Specified by:
        `getRemoveSerializationJobOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasAddTidTableEntries

          public boolean hasAddTidTableEntries()

      Specified by:
        `hasAddTidTableEntries` in interface `StpApi.CommandOrBuilder`

    - #### getAddTidTableEntries

          public StpApi.AddTIDTableEntriesCommand getAddTidTableEntries()

      Specified by:
        `getAddTidTableEntries` in interface `StpApi.CommandOrBuilder`

    - #### getAddTidTableEntriesOrBuilder

          public StpApi.AddTIDTableEntriesCommandOrBuilder getAddTidTableEntriesOrBuilder()

      Specified by:
        `getAddTidTableEntriesOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasAddOrderedListEntries

          public boolean hasAddOrderedListEntries()

      Specified by:
        `hasAddOrderedListEntries` in interface `StpApi.CommandOrBuilder`

    - #### getAddOrderedListEntries

          public StpApi.AddOrderedListEntriesCommand getAddOrderedListEntries()

      Specified by:
        `getAddOrderedListEntries` in interface `StpApi.CommandOrBuilder`

    - #### getAddOrderedListEntriesOrBuilder

          public StpApi.AddOrderedListEntriesCommandOrBuilder getAddOrderedListEntriesOrBuilder()

      Specified by:
        `getAddOrderedListEntriesOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasSetInventoryJob

          public boolean hasSetInventoryJob()

      Specified by:
        `hasSetInventoryJob` in interface `StpApi.CommandOrBuilder`

    - #### getSetInventoryJob

          public StpApi.SetInventoryJobCommand getSetInventoryJob()

      Specified by:
        `getSetInventoryJob` in interface `StpApi.CommandOrBuilder`

    - #### getSetInventoryJobOrBuilder

          public StpApi.SetInventoryJobCommandOrBuilder getSetInventoryJobOrBuilder()

      Specified by:
        `getSetInventoryJobOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasSetCartonContentsJob

          public boolean hasSetCartonContentsJob()

      Specified by:
        `hasSetCartonContentsJob` in interface `StpApi.CommandOrBuilder`

    - #### getSetCartonContentsJob

          public StpApi.SetCartonContentsJobCommand getSetCartonContentsJob()

      Specified by:
        `getSetCartonContentsJob` in interface `StpApi.CommandOrBuilder`

    - #### getSetCartonContentsJobOrBuilder

          public StpApi.SetCartonContentsJobCommandOrBuilder getSetCartonContentsJobOrBuilder()

      Specified by:
        `getSetCartonContentsJobOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasGetOperationData

          public boolean hasGetOperationData()

      Specified by:
        `hasGetOperationData` in interface `StpApi.CommandOrBuilder`

    - #### getGetOperationData

          public StpApi.GetOperationDataCommand getGetOperationData()

      Specified by:
        `getGetOperationData` in interface `StpApi.CommandOrBuilder`

    - #### getGetOperationDataOrBuilder

          public StpApi.GetOperationDataCommandOrBuilder getGetOperationDataOrBuilder()

      Specified by:
        `getGetOperationDataOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasAddLicenseKey

          public boolean hasAddLicenseKey()

      Specified by:
        `hasAddLicenseKey` in interface `StpApi.CommandOrBuilder`

    - #### getAddLicenseKey

          public StpApi.AddLicenseKeyCommand getAddLicenseKey()

      Specified by:
        `getAddLicenseKey` in interface `StpApi.CommandOrBuilder`

    - #### getAddLicenseKeyOrBuilder

          public StpApi.AddLicenseKeyCommandOrBuilder getAddLicenseKeyOrBuilder()

      Specified by:
        `getAddLicenseKeyOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws java.io.IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected java.lang.Object writeReplace()
                                           throws java.io.ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `java.io.ObjectStreamException`

    - #### parseFrom

          public static StpApi.Command parseFrom(com.google.protobuf.ByteString data)
                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.Command parseFrom(com.google.protobuf.ByteString data,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.Command parseFrom(byte[] data)
                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.Command parseFrom(byte[] data,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.Command parseFrom(java.io.InputStream input)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.Command parseFrom(java.io.InputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.Command parseDelimitedFrom(java.io.InputStream input)
                                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.Command parseDelimitedFrom(java.io.InputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.Command parseFrom(com.google.protobuf.CodedInputStream input)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.Command parseFrom(com.google.protobuf.CodedInputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilder

          public static StpApi.Command.Builder newBuilder()

    - #### newBuilderForType

          public StpApi.Command.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static StpApi.Command.Builder newBuilder(StpApi.Command prototype)

    - #### toBuilder

          public StpApi.Command.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected StpApi.Command.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`